]> arthur.barton.de Git - bup.git/blobdiff - t/test.sh
test.sh: test bup features python version
[bup.git] / t / test.sh
index dc6398c042ab3102f50a4f0b971c67c76a859080..3f578f1f38a103f9d058dc3ce25ad42a953c2a46 100755 (executable)
--- a/t/test.sh
+++ b/t/test.sh
@@ -122,4 +122,11 @@ WVPASSEQ "$(bup ls -F buptest/latest/)" "a/
 c/"
 
 
+WVSTART features
+expect_py_ver=$(LC_CTYPE=C "$top/config/bin/python" \
+                        -c 'import platform; print(platform.python_version())') \
+    || exit $?
+actual_py_ver=$(bup features | grep Python: | sed -Ee 's/ +Python: //') || exit $?
+WVPASSEQ "$expect_py_ver" "$actual_py_ver"
+
 WVPASS rm -rf "$tmpdir"